'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = Object.assign || function (target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];

    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }

  return target;
};

/*       */

function createCorrelationIdMiddleware(options) {
  return function (next) {
    return function (request, response) {
      var nextRequest = _extends({}, request, {
        headers: _extends({}, request.headers, {
          'X-Correlation-ID': options.generate()
        })
      });
      next(nextRequest, response);
    };
  };
}

// eslint-disable-next-line import/prefer-default-export

exports.createCorrelationIdMiddleware = createCorrelationIdMiddleware;
//# sourceMappingURL=commercetools-sdk-middleware-correlation-id.cjs.js.map
